org.jboss.resteasy.jose.jwe

## Class JWEBuilder

- java.lang.Object
- - org.jboss.resteasy.jose.jwe.JWEBuilder

-     public class JWEBuilder
      extends Object

  Encrypt content. Default EncryptionMethod is A256CBC_HS512
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `JWEBuilder.EncryptionBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWEBuilder()`
    `JWEBuilder(Providers providers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWEBuilder.EncryptionBuilder` | `content(Object content)`
    `JWEBuilder.EncryptionBuilder` | `content(Object content, MediaType marshalTo)`
    `JWEBuilder.EncryptionBuilder` | `contentBytes(byte[] bytes)`
    `JWEBuilder` | `contentType(MediaType type)`
    `JWEBuilder` | `contentType(String type)`
    `protected String` | `encodeHeader(Algorithm alg)`
    `protected byte[]` | `marshalContent(Object content, MediaType marshalTo)`
    `JWEBuilder` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWEBuilder

          public JWEBuilder()

    - #### JWEBuilder

          public JWEBuilder(Providers providers)

  - ### Method Detail

    - #### type

          public JWEBuilder type(String type)

    - #### contentType

          public JWEBuilder contentType(String type)

    - #### contentType

          public JWEBuilder contentType(MediaType type)

    - #### contentBytes

          public JWEBuilder.EncryptionBuilder contentBytes(byte[] bytes)

    - #### content

          public JWEBuilder.EncryptionBuilder content(Object content)

    - #### content

          public JWEBuilder.EncryptionBuilder content(Object content,
                                             MediaType marshalTo)

    - #### encodeHeader

          protected String encodeHeader(Algorithm alg)

    - #### marshalContent

          protected byte[] marshalContent(Object content,
                              MediaType marshalTo)

Copyright © 2014. All Rights Reserved.